Subject: Re: bug in makefiles?
From: [email-masked] (Chris Faylor)

6 Oct 1997 10:48:00 -0700
Message-ID: <[email-masked]>
References: <[email-masked]>
Reply-To: [email-masked]
To: [email-masked]

In article <[email-masked]>,
Sergey Okhapkin  <[email-masked]> wrote:
>Tim Newsham wrote:
>>    I noticed that after building the cdk, if I do a
>> "make clean" in the obj/winsup directory and then do
>> a make, I get a binary that is about 250-300k bigger,
>
>run "make CFLAGS=-O2 CXXFLAGS=-O2".
>
>> and that does not behave properly.  In particular processes
>> using the bigger dll do not seem to catch signals sent
>> to them properly.  I can give a more detailed example
>> with a test cause showing the broken behavior if necessary.
>
>Looks like a gcc bug.  Cygwin.dll compiled without -O2 option sometimes
>crashes on bash's exit.

Yup.  I've noticed this too.  Also using -O3 instead of -O2 or specifying
-fomit-frame-pointer (which should provide better optimization on Intel
chips) can cause problems.
-- 
http://www.bbc.com/	[email-masked]			"Strange how unreal
VMS=>UNIX Solutions	Boston Business Computing	 the real can be."
-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".